
data met03 (keep=site lat long region pmreg zdate ew hr rh rh10avg pmregdesc); 
set v.vis_db4a;
*if rh ne .;
if rh10avg ne .;
region=pmregdesc;
run;

data met03b; set met03; 
if pmreg in (5 6 7) then region='west';
else if pmreg in (1 2 3 4) then region='east';
else delete;

data met03c; set met03 met03b; 
proc sort; by region;
GOPTIONS reset=all dev=cgmflwa
GACCESS = GSASFILE ROTATE = LANDSCAPE colors=(black);
symbol i=box05t bwidth=2 v=none;
axis1 label=('Hour') offset=(2) order=(0 to 23 by 1) minor=none;
axis2 label=('RH') order=(0 to 100 by 10) c=black;
run;

filename gsasfile "d:\visibility\box_rh03vis.cgm";

proc gplot data=met03c;
by Region;
plot rh10avg * hr /
vref=(10 20 30 40 50 60 70 80 90)
lvref=3
haxis=axis1
vaxis=axis2;
run;
quit;
proc sql; select distinct ew, pmreg, pmregdesc from met03; quit;