data pm10stp_02; set v.P81102_02;
if hr ge 7 and hr le 19;
if zdate ge mdy(4,1,2002);
if zdate le mdy(3,31,2003);
pm10s=value;
proc sort; by site poc zdate hr;
data pm10stp_03; set v.P81102_03;
if hr ge 7 and hr le 19;
if zdate ge mdy(4,1,2002);
if zdate le mdy(3,31,2003);
pm10s=value;
proc sort; by site poc zdate hr;
data pm10lc_02; set v.P85101_02;
if hr ge 7 and hr le 19;
if zdate ge mdy(4,1,2002);
if zdate le mdy(3,31,2003);
pm10l=value;
proc sort; by site poc zdate hr;
data pm10lc_03; set v.P85101_03;
if hr ge 7 and hr le 19;
if zdate ge mdy(4,1,2002);
if zdate le mdy(3,31,2003);
pm10l=value;
proc sort; by site poc zdate hr;

data pm10all (keep=site poc zdate pm10s pm10l hr); merge  pm10stp_02 pm10stp_03 pm10lc_02 pm10lc_03; by site poc zdate hr;
proc sort; by site zdate hr;
proc means noprint; by site zdate hr;
var pm10s pm10l;
output out=tab mean=;
run;
data v.pm10all; set tab; 
drop _type_ _freq_;
run;;

proc sort data=v.vis_db; by site zdate hr;
data v.vis_db2; merge v.vis_db v.pm10all; by site zdate hr; 
if crustal ne .;
run;

proc sql; select count(*) from v.vis_db2 where pm10s ne . or pm10l ne .; quit;

