libname pmr 'F:\aqtag\PMBooklet\Data';
libname staff 'd:\pm naaqs\summer04';
libname sp 'F:\aqtag\pm naaqs sp\data';
libname pmc 'D:\PM NAAQS\summer04\coarse';
data met0103 (keep=id lat lon sdate hr rh frh m d); 
set v.sfc01b V.sfc02b v.sfc03b;
if rh ne .;
if hr in (12 13 14 15);
m=month(sdate);
d=day(sdate);
rh=round(rh,1);
if rh le 36 then frh=1;
else if rh = 37 then frh=1.02;
else if rh = 38 then frh=1.04;
else if rh = 39 then frh=1.06;
else if rh = 40 then frh=1.08;
else if rh = 41 then frh=1.1;
else if rh = 42 then frh=1.13;
else if rh = 43 then frh=1.15;
else if rh = 44 then frh=1.18;
else if rh = 45 then frh=1.2;
else if rh = 46 then frh=1.23;
else if rh = 47 then frh=1.26;
else if rh = 48 then frh=1.28;
else if rh = 49 then frh=1.31;
else if rh = 50 then frh=1.34;
else if rh = 51 then frh=1.37;
else if rh = 52 then frh=1.41;
else if rh = 53 then frh=1.44;
else if rh = 54 then frh=1.47;
else if rh = 55 then frh=1.51;
else if rh = 56 then frh=1.54;
else if rh = 57 then frh=1.58;
else if rh = 58 then frh=1.62;
else if rh = 59 then frh=1.66;
else if rh = 60 then frh=1.7;
else if rh = 61 then frh=1.74;
else if rh = 62 then frh=1.79;
else if rh = 63 then frh=1.83;
else if rh = 64 then frh=1.88;
else if rh = 65 then frh=1.93;
else if rh = 66 then frh=1.98;
else if rh = 67 then frh=2.03;
else if rh = 68 then frh=2.08;
else if rh = 69 then frh=2.14;
else if rh = 70 then frh=2.19;
else if rh = 71 then frh=2.25;
else if rh = 72 then frh=2.31;
else if rh = 73 then frh=2.37;
else if rh = 74 then frh=2.43;
else if rh = 75 then frh=2.5;
else if rh = 76 then frh=2.56;
else if rh = 77 then frh=2.63;
else if rh = 78 then frh=2.7;
else if rh = 79 then frh=2.78;
else if rh = 80 then frh=2.86;
else if rh = 81 then frh=2.94;
else if rh = 82 then frh=3.03;
else if rh = 83 then frh=3.12;
else if rh = 84 then frh=3.22;
else if rh = 85 then frh=3.33;
else if rh = 86 then frh=3.45;
else if rh = 87 then frh=3.58;
else if rh = 88 then frh=3.74;
else if rh = 89 then frh=3.93;
else if rh = 90 then frh=4.16;
else if rh = 91 then frh=4.45;
else if rh = 92 then frh=4.84;
else if rh = 93 then frh=5.37;
else if rh = 94 then frh=6.16;
else if rh ge 95 then frh=7.4;
proc sort data=met0103; by id;

proc sql; create table latlon as select distinct id,max(lat) as lat,max(lon) as lon from met0103
group by id; quit;
proc sort data=v.nws_state;
by id;
data rh0103b;
merge met0103 v.nws_state latlon; by id; if lat ne .;
if id='14822' then st='MI';
if id='26442' then st='AK';
statename=st;
lata=abs(lat);
	lona=abs(lon);
*	statename=fipstate(st);
	if statename in ('ME' 'NH' 'VT' 'DC' 'MA' 'RI' 'CT' 'NJ' 'DE') or
(statename in ('MD' 'PA' 'NY' 'VA' 'WV') and lona lt 78.5) then PMREG=1;
	else if statename in ('NC' 'SC' 'TN' 'GA' 'FL' 'AL' 'MS' 'LA' 'AR') or
		(statename in ('OK' 'TX') and lona lt 97.7) then PMREG=2;
	else if statename in ('KY' 'OH' 'MI' 'IN' 'IL') or
		(statename in ('NY' 'PA' 'WV' 'VA') and lona gt 78.5) or
		(statename in ('WI' 'MN' 'IA' 'MO') and lona lt 91.5) then PMREG=3;
	else if statename in ('ND' 'SD' 'NE' 'KS') or 
		(statename in ('MN' 'WI' 'IA' 'MO') and lona gt 91.5) or
		(statename in ('CO') and lona lt 104.05) then PMREG=4;
	else if statename in ('NM' 'AZ') or
		(statename in ('OK' 'TX') and lona gt 97.7) or
		(statename in ('NV' 'CA') and lona lt 115.5 and lata lt 37) then PMREG=5;
	else if statename in ('WA' 'ID' 'MT' 'WY' 'UT' 'OR') or
		(statename in ('CO') and lona gt 104.05) or
		(statename in ('CA' 'NV') and lata gt 37) then PMREG=6;
	else if statename in ('CA' 'NV') and lata lt 37 and lona gt 115.5 then PMREG=7;
		else PMREG=0;
	if pmreg = 0 then PMREGDESC='Not in PMREG Region';
	else if pmreg=1 then PMREGDESC='Northeast';
	else if pmreg=2 then PMREGDESC='Southeast';
	else if pmreg=3 then PMREGDESC='Industrial Midwest';
	else if pmreg=4 then PMREGDESC='Upper Midwest';
	else if pmreg=5 then PMREGDESC='Southwest';
	else if pmreg=6 then PMREGDESC='Northwest';
	else if pmreg=7 then PMREGDESC='Southern California';
	drop lata lona;
if pmreg in (4 5 6 7) then ew='west';
if pmreg in (1 2 3) then ew='east';
run;
proc sort;by pmreg pmregdesc hr;
proc univariate data=rh0103b noprint;
var frh;
by pmreg pmregdesc hr;
output out=uni_rh0103 pctlpre=frh_p_ pctlpts=1 to 100 by 1 mean=frh_mean n=n;
run;

data espn; set v.espn03b;
if substr(location,1,3) ne 'RUR';
proc sort; by site;
data espn2; merge espn pmr.meta;by site;
array parts(5) ocm ec ammonium_sulfate ammonium_nitrate crustal;
array pers(5) ocmp ecp sulfatesp nitratesp crustalp;
if zdate ne .;
if ocm ne . and ec ne . and ammonium_sulfate ne . and ammonium_nitrate ne . and crustal ne .;
if pmreg in (4 5 6 7) then ew='west';
else if pmreg in (1 2 3) then ew='east';
else delete;

do i=1 to 5;
if parts(i) lt 0 then parts(i)=0;
end;
remass=sum(of ocm, ec, ammonium_sulfate, ammonium_nitrate, crustal);
do i=1 to 5;
pers(i)=parts(i);*/remass;
end;
q=qtr(datepart(zdate));

run;
proc sort; by ew pmreg pmregdesc site poc q;
proc means noprint; by pmreg pmregdesc site poc q;
var ocmp ecp sulfatesp nitratesp crustalp;
output out=etab mean=ocmp ecp sulfatesp nitratesp crustalp n=En;
run;
data etab2; set etab; if En ge 10;
proc means noprint; by pmreg pmregdesc site poc;
var ocmp ecp sulfatesp nitratesp crustalp;
output out=etab3 mean=ocmp ecp sulfatesp nitratesp crustalp n=En;
data etab4; set etab3; if En=4;
proc means noprint; by  pmreg pmregdesc site;
var ocmp ecp sulfatesp nitratesp crustalp;
output out=etab5 mean=ocmp ecp sulfatesp nitratesp crustalp n=En;
proc means noprint; by  pmreg pmregdesc;
var ocmp ecp sulfatesp nitratesp crustalp;
output out=etab6 mean=ocmp ecp sulfatesp nitratesp crustalp n=En;
run;
data espn_reg; set etab6;
array parts(5) ocmP ecP sulfateSP nitrateSP crustalP;
array pers(5) ocm_p ec_p sulfates_p nitrates_p crustal_p;
remass=sum(of ocmP, ecP, sulfateSP, nitrateSP, crustalP);
do i=1 to 5;
pers(i)=parts(i)/remass;
end;
run;
proc sort; by pmreg;
run;

*coarse_to_fine ratio;
data coarsemean (keep=site pmf_amean pmC_amean rat in); set pmc.Pmc_levbase_1284;
pmf_amean=round(annmeanpmf,.1);
pmc_amean=round(annmeanpmc,.1);
rat=pmc_amean/pmf_amean;
in=1;
proc sort; by site;
data coarserat;
merge coarsemean sp.meta; by site;
if in=1;
if pmreg ne 0;
run;

proc sort data=coarserat; by pmreg;
proc univariate noprint data=coarserat;
by pmreg;
var rat;
output out=uniout mean=pmc_rat_Pmf n=n;

run;
proc sort data=v.rh_pcthr_reg0103; by pmreg;
proc sql; create table all as select distinct * from 
uniout a, espn_reg b, uni_rh0103 c where a.pmreg=b.pmreg and b.pmreg=c.pmreg; quit;
data all2; set all; 
sulfnit_p=sulfates_p+nitrates_p;
run;
data stupie ;
set all2;
if hr in (12 13 14 15);
re1=3912/10;
re2=3912/25;
re3=3912/30;
re4=3912/35;
re5=3912/50;
re6=3912/60;
array re(6) re1-re6;
array frh(101) frh_p_1-frh_p_100 frh_mean;
array pm(606) pm_10_1-pm_10_100 pm_10_mean pm_20_1-pm_20_100 pm_20_mean pm_30_1-pm_30_100 pm_30_mean 
pm_40_1-pm_40_100 pm_40_mean pm_50_1-pm_50_100 pm_50_mean pm_60_1-pm_60_100 pm_60_mean;
n=0;
do r=1 to 6;
do p=1 to 101;
x=((r-1)*101)+p;
pm(x)=(re(r)-10)/((3*frh(p)*sulfnit_p)+(4*ocm_p)+(10*ec_p)+(1*crustal_p)+(.6*pmc_rat_pmf));
end;
end;
run;
PROC MEANS NOPRINT DATA=STUPIE;
BY PMREG PMREGDESC;
VAR pm_10_1-pm_10_100 pm_20_1-pm_20_100 pm_30_1-pm_30_100 
pm_40_1-pm_40_100 pm_50_1-pm_50_100 pm_60_1-pm_60_100 pm_10_mean pm_20_mean
pm_30_mean pm_40_mean pm_50_mean pm_60_mean
frh_p_1-frh_p_100
sulfates_p nitrates_p ocm_p ec_p crustal_p
pmc_rat_pmf;
OUTPUT OUT=u12to4 MEAN=;

/*PROC SORT data=stupie; BY PMREG PMREGDESC;
PROC MEANS NOPRINT DATA=STUPIE;
BY PMREG PMREGDESC;
VAR pm_10_1-pm_10_100 pm_20_1-pm_20_100 pm_30_1-pm_30_100 
pm_40_1-pm_40_100 pm_50_1-pm_50_100 pm_60_1-pm_60_100 pm_10_mean pm_20_mean
pm_30_mean pm_40_mean pm_50_mean pm_60_mean
rh_p_1-rh_p_100
frh_p_1-frh_p_100
sulfates_p nitrates_p ocm_p ec_p crustal_p
pmc_rat_pmf;
OUTPUT OUT=test MEAN=;
RUN;
/*data test2 (keep=pmreg pmregdesc hr num pmc_rat_pmf sulfates_p nitrates_p ocm_p ec_p crustal_p
pm_10 pm_20 pm_30 pm_40 pm_50 pm_60 rhh frhh) ; 
set u12to4;
array rh(100) rh_p_1-rh_p_100;
array frh(100) frh_p_1-frh_p_100;
array pm10(100) pm_10_1-pm_10_100;
array pm20(100) pm_20_1-pm_20_100;
array pm30(100) pm_30_1-pm_30_100;
array pm40(100) pm_40_1-pm_40_100;
array pm50(100) pm_50_1-pm_50_100;
array pm60(100) pm_60_1-pm_60_100;
do i=1 to 100;
num=i;
pm_10=pm10(i);
pm_20=pm20(i);
pm_30=pm30(i);
pm_40=pm40(i);
pm_50=pm50(i);
pm_60=pm60(i);
rhh=rh(i);
frhh=frh(i);
output;
end;
run;

proc univariate noprint data=test2 (where=(pmreg=1)); 
by pmregdesc;
var pm_10;
output out=tab median=med q1=p25 q3=p75 p95=p95 p5=p05;
run;


end;
*/

DATA OUTIE (keep =per vr pm25 pm_mean pmreg pmregdesc);
SET U12TO4 ;
array mn(6) pm_10_mean pm_20_mean pm_30_mean pm_40_mean pm_50_mean pm_60_mean;
ARRAY pm(600) pm_10_1-pm_10_100 pm_20_1-pm_20_100 pm_30_1-pm_30_100 
pm_40_1-pm_40_100 pm_50_1-pm_50_100 pm_60_1-pm_60_100;
array rh(101) rh_p_1-rh_p_100 rh_mean;
array frh(101) frh_p_1-frh_p_100 frh_mean;
DO R=1 TO 6;
do per=1 to 100;
x=((r-1)*100)+per;
pm25= pm(x);
pm_mean=mn(r);
vr=r*10;
if vr=20 then vr=25;
if vr=40 then vr=35;
output;
end;
end;
run;

proc sort; by vr pmreg;
GOPTIONS reset=all dev=cgmflwa
GACCESS = GSASFILE ROTATE = LANDSCAPE colors=(black);
symbol1 i=box05t bwidth=5 v=none;
symbol2 v=star c=blue;
axis1 label=none offset=(5) minor=none value=none;
axis2 label=none c=black order=(10 to 40 by 10);
filename gsasfile "d:\visibility\pmdist for vr 4hr marc.cgm";
proc gplot data=outie;
by vr;
plot pm25 * pmreg  pm_mean * pmreg
/ overlay
haxis=axis1
vaxis=axis2
vref=(15 20 25 30 35)
lvref=3;
run;
quit;



/*data a (keep=pmreg hr rh); set uni_rh0103;
array rha(100) rh_p_1-rh_p_100;
do i=1 to 100;
rh=rha(i);
output;
end;
run;
proc sort;by pmreg hr;
OPTIONS reset=all dev=cgmflwa
GACCESS = GSASFILE ROTATE = LANDSCAPE colors=(black);
symbol1 i=box05t bwidth=2 v=none;
axis1 label=('hour') order = (0 to 23 by 1) offset=(2) minor=none ;
axis2 label=('RH') order = (0 to 100 by 10) c=black;
filename gsasfile "d:\visibility\rhdist for vr.cgm";
proc gplot data=a;
by pmreg;
plot rh * hr
/
vref=(10 20 30 40 50 60 70 80 90)
lvref=3
haxis=axis1
vaxis=axis2;
run;
quit;
*/
