libname staff 'd:\pm naaqs\summer03';
data next;
set v.vis_db2a;

lata=abs(lat);
	lona=abs(long);
	statename=fipstate(st);
	if statename in ('ME' 'NH' 'VT' 'DC' 'MA' 'RI' 'CT' 'NJ' 'DE') or
		(statename in ('MD' 'PA' 'NY' 'VA' 'WV') and lona lt 78.5) then PMREG=1;
	else if statename in ('NC' 'SC' 'TN' 'GA' 'FL' 'AL' 'MS' 'LA' 'AR') or
		(statename in ('OK' 'TX') and lona lt 97.7) then PMREG=2;
	else if statename in ('KY' 'OH' 'MI' 'IN' 'IL') or
		(statename in ('NY' 'PA' 'WV' 'VA') and lona gt 78.5) or
		(statename in ('WI' 'MN' 'IA' 'MO') and lona lt 91.5) then PMREG=3;
	else if statename in ('ND' 'SD' 'NE' 'KS') or 
		(statename in ('MN' 'WI' 'IA' 'MO') and lona gt 91.5) or
		(statename in ('CO') and lona lt 104.05) then PMREG=4;
	else if statename in ('NM' 'AZ') or
		(statename in ('OK' 'TX') and lona gt 97.7) or
		(statename in ('NV' 'CA') and lona lt 115.5 and lata lt 37) then PMREG=5;
	else if statename in ('WA' 'ID' 'MT' 'WY' 'UT' 'OR') or
		(statename in ('CO') and lona gt 104.05) or
		(statename in ('CA' 'NV') and lata gt 37) then PMREG=6;
	else if statename in ('CA' 'NV') and lata lt 37 and lona gt 115.5 then PMREG=7;
		else PMREG=0;
	if pmreg = 0 then PMREGDESC='Not in PMREG Region';
	else if pmreg=1 then PMREGDESC='Northeast';
	else if pmreg=2 then PMREGDESC='Southeast';
	else if pmreg=3 then PMREGDESC='Industrial Midwest';
	else if pmreg=4 then PMREGDESC='Upper Midwest';
	else if pmreg=5 then PMREGDESC='Southwest';
	else if pmreg=6 then PMREGDESC='Northwest';
	else if pmreg=7 then PMREGDESC='Southern California';
	drop lata lona;
if pmreg in (5 6 7) then ew='west';
if pmreg in (1 2 3 4) then ew='east';
run;
proc sort; by pmreg;
proc sort data=pmr.Meta; by site;
proc sort data=pmc.Pmc_rawbysite_colonocont_1284; by site;
data pmc; 
merge pmr.Meta (keep=site pmreg pmregdesc) pmc.Pmc_rawbysite_colonocont_1284; by site;
if pmc ne .;
q=qtr(zdate);
proc sql; create table site_ratio as select distinct pmreg, pmregdesc, site,avg(pmc) as pmc, avg(pmt)
as pmt,avg(pmf) as pmf, avg(pmf/pmt) as pmf_pmt_rat from pmc group by pmreg,site; 
create table reg_ratio as select distinct pmreg, pmregdesc,round(avg(pmf_pmt_rat),.001) as avg_pmf2pmt_rat from site_ratio group by pmreg; 
quit;
data v.vis_db3a; 
merge next reg_ratio; by pmreg;
if crustal ne .;
run;


