libname sp 'F:\aqtag\pm naaqs sp\data';
libname pmr 'F:\aqtag\PMBooklet\Data';
*redo to include more data (doesn't have to be in visdb.. could be just continuous;
data tempa; set sp.Pmf_hourly_bysite_1284;
hr=sample_start_hour;
*if hr ge 12 and hr le 15;
run;
proc sort data=tempa; by site;
data tempa2; merge tempa pmr.meta; by site;
if hr ne .;
if pmreg=0 then delete;
if pmreg in (1 2 3) then ew='east';
else if pmreg in (4 5 6 7) then ew='west';
else delete;
run;
/*
data met (keep=id lat lon sdate hr rh);
set v.sfc03b v.sfc02b v.sfc01b;
if rh ne .;
run;
proc sql; create table sites as select distinct site,lat,long from tempa2;
proc sql; create table ids as select distinct id,lat as lat2,lon*-1 as long2 from met;
create table bothlatlon as select * from sites,ids; quit;
*calculate distance.... from Fitz;
data cart; set bothlatlon;
rp=6356.912;d=21.476;
latR=lat*arcos(-1)/180;
longR=long*arcos(-1)/180;
latR2=lat2*arcos(-1)/180;
longR2=long2*arcos(-1)/180;

*Polar radius of earth with difference between polar & eq;
 r=d*(cos(latR2)+cos(latR))*.5+rp;* average radius (km);
 d=arcos(cos(latR2)*cos(longR2)*cos(latr)*cos(longR)+cos(latR2)
 *sin(longR2)*cos(latR)*sin(longR)
 + sin(latR2)*sin(latR))*r;* distance in km;
proc sort data=cart; by site D;
run;
*get closest;
data close2003 (keep=site id distm_to_met03); set cart; by site D;
if first.site then do;
distm_to_met03=round(d*.62137,.01);
output;
end;
run;
proc sql; create table rh03 as select distinct site,RH, sdate from met a, close2003 b where a.id=b.id
and hr in (12 13 14 15);
proc sort; by site sdate;
proc means noprint;
by site sdate ;
var rh;
output out=rhtab mean=rhavg n=n;
run;*/
proc sort data=tempa2; by ew site poc sdate;
proc means noprint data=tempa2;
by ew site poc sdate;
var value;
output out=tab mean=pm n=n;
data tabb; set tab; if n ge 3;
st=substr(site,1,2);
cou=substr(site,3,3);
pm=round(pm,.1);
/*proc sort; by site sdate;
proc sort data=Rhtab; by site sdate;
data both; merge tabb rhtab; by site sdate;
if rhavg lt 70;
if rhavg ne .;
if pm ne .;
run;*/
proc sort; by ew st cou sdate descending pm;
data tabc; set tabb;  by ew st cou sdate descending pm;
if first.sdate;
stcou=trim(st)||trim(cou);
level=0;
do i = 5 to 65 by 5;
if round(pm,.1) gt i then level=i;
end;
run;
data alllev;
do i = 5 to 65 by 5;
output;
end;
run;
data a; set alllev tabc;
proc sql; create table b as select distinct ew,stcou,level,count(*) as ct from a group by ew,stcou,level;
quit;

data c; set b;
levelc='level'||compress(put(level,2.0));
run;
proc transpose out=tranny; by ew stcou;
var ct;
id levelc;
run;
proc sql; create table cts as select distinct ew,stcou,count(*) as tot from tabc where pm ne . group by ew,stcou;
quit;
data tranny2;
retain plevel65 plevel60 plevel55 plevel50 plevel45 plevel40 plevel35 plevel30 plevel25 plevel20 plevel15 plevel10 plevel5;
array p(13) plevel5 plevel10 plevel15 plevel20 plevel25 plevel30 plevel35 plevel40 plevel45 plevel50 plevel55 plevel60 plevel65;
array l(13) level5 level10 level15 level20 level25 level30 level35 level40 level45 level50 level55 level60 level65;
merge tranny cts; by ew stcou;
if tot=. then delete;
do i=1 to 13;
if l(i) = . then l(i)=0;
end;
level0= sum(of level0, level5,level10,level15,level20,level25,level30,level35,level40,level45,level50,level55,level60,level65);
level5= sum(of level5,level10,level15,level20,level25,level30,level35,level40,level45,level50,level55,level60,level65);
level10= sum(of level10,level15,level20,level25,level30,level35,level40,level45,level50,level55,level60,level65);
level15= sum(of level15,level20,level25,level30,level35,level40,level45,level50,level55,level60,level65);
level20= sum(of level20,level25,level30,level35,level40,level45,level50,level55,level60,level65);
level25= sum(of level25,level30,level35,level40,level45,level50,level55,level60,level65);
level30= sum(of level30,level35,level40,level45,level50,level55,level60,level65);
level35= sum(of level35,level40,level45,level50,level55,level60,level65);
level40= sum(of level40,level45,level50,level55,level60,level65);
level45= sum(of level45,level50,level55,level60,level65);
level50= sum(of level50,level55,level60,level65);
level55= sum(of level55,level60,level65);
level60= sum(of level60,level65);
do i=1 to 13;
p(i)=round((l(i)/tot)*100,1);
end;
run;

data it (keep=stcou ep num); set tranny2;
array p(13) plevel65 plevel60 plevel55 plevel50 plevel45 plevel40 plevel35 plevel30 plevel25 plevel20 plevel15 plevel10 plevel5;;
num=70;
do i=1 to 13;
num=num-5;
ep=p(i);
output;
end;
run;
GOPTIONS reset=all dev=cgmflwa
GACCESS = GSASFILE ROTATE = LANDSCAPE colors=(black);
symbol1 i=join v=none color=blue r=133;
symbol2 i=join v=none color=red r=47;
axis1 label=none order=(65 to 5 by -5) minor=none;
axis2 label=none order=(0 to 100 by 10) c=black;
run;

filename gsasfile "d:\visibility\viol.cgm";

proc gplot data=it;
plot ep * num = stcou / nolegend
vref=(10 20 30 40 50 60 70 80 90)
lvref=3
haxis=axis1
vaxis=axis2;
run;
quit;

proc sql; create table a as select distinct site from both; quit;
libname sp 'F:\aqtag\pm naaqs sp\data';
libname pmr 'F:\aqtag\PMBooklet\Data';
*redo to include more data (doesn't have to be in visdb.. could be just continuous;
data tempa; set sp.Pmf_hourly_bysite_1284;
hr=sample_start_hour;
*if hr ge 12 and hr le 15;
run;
proc sort data=tempa; by site;
data tempa2; merge tempa pmr.meta; by site;
if hr ne .;
if pmreg=0 then delete;
if pmreg in (1 2 3) then ew='east';
else if pmreg in (4 5 6 7) then ew='west';
else delete;
run;
/*
data met (keep=id lat lon sdate hr rh); 
set v.sfc03b v.sfc02b v.sfc01b;
if rh ne .;
run;
proc sql; create table sites as select distinct site,lat,long from tempa2;
proc sql; create table ids as select distinct id,lat as lat2,lon*-1 as long2 from met;
create table bothlatlon as select * from sites,ids; quit;
*calculate distance.... from Fitz;
data cart; set bothlatlon;
rp=6356.912;d=21.476;
latR=lat*arcos(-1)/180;
longR=long*arcos(-1)/180;
latR2=lat2*arcos(-1)/180;
longR2=long2*arcos(-1)/180;

*Polar radius of earth with difference between polar & eq;
 r=d*(cos(latR2)+cos(latR))*.5+rp;* average radius (km);
 d=arcos(cos(latR2)*cos(longR2)*cos(latr)*cos(longR)+cos(latR2)
 *sin(longR2)*cos(latR)*sin(longR)
 + sin(latR2)*sin(latR))*r;* distance in km;
proc sort data=cart; by site D;
run;
*get closest;
data close2003 (keep=site id distm_to_met03); set cart; by site D;
if first.site then do;
distm_to_met03=round(d*.62137,.01);
output;
end;
run;
proc sql; create table rh03 as select distinct site,RH, sdate from met a, close2003 b where a.id=b.id 
and hr in (12 13 14 15);
proc sort; by site sdate;
proc means noprint;
by site sdate ;
var rh;
output out=rhtab mean=rhavg n=n;
run;*/
proc sort data=tempa2; by ew site poc sdate;
proc means noprint data=tempa2;
by ew site poc sdate;
var value;
output out=tab mean=pm n=n;
data tabb; set tab; if n ge 3; 
st=substr(site,1,2);
cou=substr(site,3,3);
pm=round(pm,.1);
/*proc sort; by site sdate;
proc sort data=Rhtab; by site sdate;
data both; merge tabb rhtab; by site sdate;
if rhavg lt 70;
if rhavg ne .;
if pm ne .;
run;*/
proc sort; by ew st cou sdate descending pm;
data tabc; set tabb;  by ew st cou sdate descending pm;
if first.sdate;
stcou=trim(st)||trim(cou);
level=0;
do i = 5 to 65 by 5;
if round(pm,.1) gt i then level=i;
end;
run;
data alllev;
do i = 5 to 65 by 5;
output;
end;
run;
data a; set alllev tabc;
proc sql; create table b as select distinct ew,stcou,level,count(*) as ct from a group by ew,stcou,level;
quit;

data c; set b;
levelc='level'||compress(put(level,2.0));
run;
proc transpose out=tranny; by ew stcou;
var ct;
id levelc;
run;
proc sql; create table cts as select distinct ew,stcou,count(*) as tot from tabc where pm ne . group by ew,stcou;
quit;
data tranny2; 
retain plevel65 plevel60 plevel55 plevel50 plevel45 plevel40 plevel35 plevel30 plevel25 plevel20 plevel15 plevel10 plevel5;
array p(13) plevel5 plevel10 plevel15 plevel20 plevel25 plevel30 plevel35 plevel40 plevel45 plevel50 plevel55 plevel60 plevel65;
array l(13) level5 level10 level15 level20 level25 level30 level35 level40 level45 level50 level55 level60 level65;
merge tranny cts; by ew stcou;
if tot=. then delete;
do i=1 to 13;
if l(i) = . then l(i)=0;
end;
level0= sum(of level0, level5,level10,level15,level20,level25,level30,level35,level40,level45,level50,level55,level60,level65);
level5= sum(of level5,level10,level15,level20,level25,level30,level35,level40,level45,level50,level55,level60,level65);
level10= sum(of level10,level15,level20,level25,level30,level35,level40,level45,level50,level55,level60,level65);
level15= sum(of level15,level20,level25,level30,level35,level40,level45,level50,level55,level60,level65);
level20= sum(of level20,level25,level30,level35,level40,level45,level50,level55,level60,level65);
level25= sum(of level25,level30,level35,level40,level45,level50,level55,level60,level65);
level30= sum(of level30,level35,level40,level45,level50,level55,level60,level65);
level35= sum(of level35,level40,level45,level50,level55,level60,level65);
level40= sum(of level40,level45,level50,level55,level60,level65);
level45= sum(of level45,level50,level55,level60,level65);
level50= sum(of level50,level55,level60,level65);
level55= sum(of level55,level60,level65);
level60= sum(of level60,level65);
do i=1 to 13;
p(i)=round((l(i)/tot)*100,1);
end;
run;

data it (keep=stcou ep num); set tranny2;
array p(13) plevel65 plevel60 plevel55 plevel50 plevel45 plevel40 plevel35 plevel30 plevel25 plevel20 plevel15 plevel10 plevel5;;
num=70;
do i=1 to 13;
num=num-5;
ep=p(i);
output;
end; 
run;
GOPTIONS reset=all dev=cgmflwa
GACCESS = GSASFILE ROTATE = LANDSCAPE colors=(black);
symbol1 i=join v=none color=blue r=133;
symbol2 i=join v=none color=red r=47;
axis1 label=none order=(65 to 5 by -5) minor=none;
axis2 label=none order=(0 to 100 by 10) c=black;
run;

filename gsasfile "d:\visibility\viol.cgm";

proc gplot data=it;
plot ep * num = stcou / nolegend
vref=(10 20 30 40 50 60 70 80 90)
lvref=3
haxis=axis1
vaxis=axis2;
run;
quit;

proc sql; create table a as select distinct site from both; quit;